Subject: Re: Icon defined with style "NoIconTitle"

From: Bob Woodside <[email-masked]>
Date: Fri, 5 Feb 1999 21:26:31 -0500 (EST)

"Robert H. Ford II" <[email-masked]> wrote:

	(Hi, Bob...glad to see you're back with us. I take it that
	Lucent got their mail problems of a week or so ago
	straightened out.)

> I have several programs that I have the Style NoIconTitle defined.
> The problem I am seeing is that these icons never get the focus.
> If I move the cursor over the icon, it does not rise to the top

	This part I can duplicate. Curious.

> and on the flip side these type of icons will not drop behind a
> focused window.

	I have no trouble getting them to drop behind a focused window.
Could you elaborate a little on just what sequence of actions should
cause one of these icons to drop behind a focused window, but doesn't?
I'm strictly a ClickyFocus kinda guy, except when I'm testing, so I'm
not used to all the niceties of MouseyFocus and auto-raising.

	I don't believe this failure to raise is related to the other
non-raising problem.

	I recall some discussion a good while back about tweaking some
code in SetFocus and rearranging the window list, and I'm wondering if
something went astray there. Does anybody recall what that was all
about?

- Bob

--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Robert H. Ford II" <[email-masked]>
Date: Mon, 08 Feb 1999 14:14:02 -0600

> cause one of these icons to drop behind a focused window, but doesn't?

OK, two different scenarios.  The first, I have my contool iconified in the
upper left corner with NoIconTitle defined for this app.  I raise it to the top
with the "Raise" builtin (I have to use Raise since the icon will not get the
focus).  I now focus in on an app that is partially behind this icon but this
app will not raise on top of contool's icon.

Scenario two:  I have Communicator's Messenger window defined to have
NoIconTitle.  When a new message is received it pops the icon to the top of the
desktop.  If I focus on an app behind this icon, it will not raise on top of
this icon.

The only way to get these icons to drop behind is to use the Lower builtin.

-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].